Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Printing and Scanning with Canon Pixma/Pixus Series
View unanswered posts
View posts from last 24 hours

Goto page Previous  1, 2, 3 ... 7, 8, 9 ... 16, 17, 18  Next  
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
tam-ille
n00b
n00b


Joined: 26 Aug 2006
Posts: 9

PostPosted: Fri Sep 08, 2006 7:37 am    Post subject: ip4200 high resolution (9600x2400 dpi) Reply with quote

Hi,

The ip4200 is a printer with a raster resolution of 600x600dpi. Even the 2400x2400 mode prints using a 600x600dpi base resolution, but with 4 levels. It seems that with linux drivers, we can not have different levels of printing for horizontal and vertical dots (is this a CUPS restriction?) Thus, as the max vertical 'resolution' is only 2400 dpi, you can't have a higher horizontal one.
Whatever the 2400x2400 dpi resolution is good enough I think, as it's not possible to print bigger photos than a borderless Legal format.

Regards,

Tâm
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Fri Sep 08, 2006 10:09 am    Post subject: Reply with quote

@tam-ille:

I don't think that mentioning gutenprint is offtopic here and I've added an entry about gutenprint in the wiki, too.
Back to top
View user's profile Send private message
akroplas
Tux's lil' helper
Tux's lil' helper


Joined: 23 Nov 2005
Posts: 87
Location: J-L

PostPosted: Sun Sep 10, 2006 7:53 am    Post subject: Reply with quote

Hello,
I installed my iP1500 Printer, but I had some troubles with that. In this ebuild is oversight, let's take a look:
Code:

# Hack to fix missing symlinks, needs cleaning up
   ln -s /usr/lib/cups/backend/canon_parallel ${D}${_libdir2}/cups/backend/canon_parallel
   ln -s /usr/lib/cups/backend/canon_usb ${D}${_libdir2}/cups/backend/canon_usb
   ln -s /usr/lib/cups/filter/pstocanonbj ${D}${_libdir2}/cups/filter/pstocanonbj
   # End directory structure repair

And, Somebody doesn't have 'backend' directory in /usr/lib/cups/. It's a problem. Solution: make this dir :) This should be done in ebuild, yesno?

My printer works, but without servicetools: "/usr/libexec/cups/backend/canon_usb failed". Can someone help me? :D
Sorry for my bad english.
Back to top
View user's profile Send private message
feminista
Apprentice
Apprentice


Joined: 25 Mar 2005
Posts: 182

PostPosted: Mon Sep 11, 2006 1:43 am    Post subject: Reply with quote

Does anyone know if the new iP4300 shares a printhead with any of the supported models? It prints great with the bjc600 driver that cups comes with, except everything is printing scaled down 50%. >_<
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Mon Sep 11, 2006 5:50 am    Post subject: Reply with quote

@ferminista:
This "new generation" may or may not yet be supported. I don't know - you can try.

@akroplas:
akroplas wrote:
And, Somebody doesn't have 'backend' directory in /usr/lib/cups/. It's a problem. Solution: make this dir :) This should be done in ebuild, yesno?

My printer works, but without servicetools: "/usr/libexec/cups/backend/canon_usb failed".

I'll change "ln -s" to "dosym" - but if someone doesn't have this /usr/lib/cups directory, then nothing is expected to go there.

Are you saying it doesn't work without servicetools, but with them it does?
Back to top
View user's profile Send private message
akroplas
Tux's lil' helper
Tux's lil' helper


Joined: 23 Nov 2005
Posts: 87
Location: J-L

PostPosted: Mon Sep 11, 2006 6:35 pm    Post subject: Reply with quote

ColinK wrote:
Are you saying it doesn't work without servicetools, but with them it does?
...
:> grrr :) I'm translating, I wrote: My printer works. My printer + USE="servicetools" doesn't work. The error when using servicetools: "/usr/libexec/cups/backend/canon_usb failed"
Sorry :)
And, now. Can anyone help me? :D
EDIT:::
Code:
/var/log/cups/error_log
(...)
I [11/Sep/2006:20:40:36 +0200] Adding start banner page "none" to job 40.
I [11/Sep/2006:20:40:36 +0200] Adding end banner page "none" to job 40.
I [11/Sep/2006:20:40:36 +0200] Job 40 queued on "USB_Printer_1_with_status_readback_for_Canon_BJ" by "akroplas".
E [11/Sep/2006:20:40:36 +0200] Bad request line "ID ¿±dania to USB_Printer_1_with_status_readback_for_Canon_BJ-40 (1 plików)" from localhost!


Last edited by akroplas on Mon Sep 11, 2006 6:42 pm; edited 1 time in total
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Mon Sep 11, 2006 6:40 pm    Post subject: Reply with quote

well .. that shouldn't be.

which version of cups do you use?
do you use the unstablecups useflag?
Back to top
View user's profile Send private message
akroplas
Tux's lil' helper
Tux's lil' helper


Joined: 23 Nov 2005
Posts: 87
Location: J-L

PostPosted: Mon Sep 11, 2006 6:53 pm    Post subject: Reply with quote

Cups: Installed: 1.2.3

After "printing" by servicetools driver, my top tells me:
Code:
14118 lp        25   0  2820  852  672 R 80.9  0.7   5:02.80 bjfilterpixmaip


[ebuild R ] net-print/bjfilter-2.50 USE="ip1500 servicetools unstablecups -amd64 -ip1000 -ip3100 -ip4100 -ip8600 -takushipatch" 0 kB [1]

thx for interest
Back to top
View user's profile Send private message
marcme
n00b
n00b


Joined: 15 Nov 2005
Posts: 9
Location: Germany

PostPosted: Thu Sep 14, 2006 3:50 pm    Post subject: Reply with quote

Hi ColinK
it's me again with a missing patch file :lol:

Code:

>>> Unpacking source...
>>> Unpacking cnijfilter-common-2.60-1.src.rpm to /var/tmp/portage/cnijfilter-2.60-r1/work
>>> Unpacking cnijfilter-common-2.60-1.tar.gz to /var/tmp/portage/cnijfilter-2.60-r1/work

 * Cannot find $EPATCH_SOURCE!  Value for $EPATCH_SOURCE is:
 *
 *   /usr/local/portage/net-print/cnijfilter/files/cnijfilter-2.60-r1-pstocanonij-c.patch
 *   ( cnijfilter-2.60-r1-pstocanonij-c.patch )


Where could I find this patch file?

Regards,
Marcus
Back to top
View user's profile Send private message
doman
Tux's lil' helper
Tux's lil' helper


Joined: 25 Feb 2006
Posts: 84
Location: Poland, Wrocław/Wałbrzych

PostPosted: Thu Sep 14, 2006 5:37 pm    Post subject: Reply with quote

Patch is in the same place where is ebuild: http://bugs.gentoo.org/show_bug.cgi?id=130645
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Fri Sep 15, 2006 6:14 am    Post subject: Reply with quote

and don't forget to put it in the "files"-subdirectory :wink:
Back to top
View user's profile Send private message
marcme
n00b
n00b


Joined: 15 Nov 2005
Posts: 9
Location: Germany

PostPosted: Fri Sep 15, 2006 8:32 am    Post subject: Reply with quote

Aahhhh!!
I'm sorry! Thanks!


Marcus
Back to top
View user's profile Send private message
baeksu
l33t
l33t


Joined: 26 Sep 2004
Posts: 609
Location: Seoul, Korea

PostPosted: Sun Oct 08, 2006 12:18 pm    Post subject: Re: iP4200 Reply with quote

tam-ille wrote:
For the MP150 users, as this printer is not supported by the cnijfilter, try the gutenprint CVS version: there is a suppport for this printer. Gutenprint developpers need feedbacks.
MP150 works with the gutenprint CVS version. Colors, text, everything seems to work. This is the first time I'm printing with cups, though, so there might be some function broken that I didn't notice yet. But I was really impressed to see it print out the test page from cups.

Also, as has been said earlier, the sane-pixma backend works perfectly for scanning.
_________________
Gnome:
1. A legendary being.
2. A never ending quest to make unix friendly to people who don't want unix and excruciating for those that do.
Back to top
View user's profile Send private message
Rion
Guru
Guru


Joined: 12 Oct 2006
Posts: 366
Location: Ekaterinburg, Russia

PostPosted: Thu Oct 12, 2006 4:18 am    Post subject: Reply with quote

after 2 days of searching of drivers? i've found and tested this one on my Canon pixma ip1600
And this WORK!!
so i'm very happy now :-)

Code:
USE="ip2200 -unstablecups" emerge cnijfilter

_________________
~amd64
rion-overlay
Back to top
View user's profile Send private message
dexxxter
n00b
n00b


Joined: 19 Jul 2006
Posts: 18

PostPosted: Sun Oct 22, 2006 10:32 am    Post subject: Reply with quote

Hi ppl!
Please help me, my ip4200 refuses to print...

[ebuild R ] net-print/cups-1.2.4 USE="X dbus jpeg nls pam png samba ssl -php -ppds -slp -tiff" 0 kB
[ebuild R ] net-print/cnijfilter-2.60-r1 USE="amd64 ip4200 unstablecups -ip2200 -ip6600d -ip7500 -mp500 -servicetools" 0 kB

The jobs go to the printer and then become completed, but printer acts as if nothing happened...
Changed cups log level to debug, tail -f /var/log/mesages shows none(((
Both cups amd64 amd ~amd64 behave the same.
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Sun Oct 22, 2006 10:49 am    Post subject: Reply with quote

Please try it without the unstablecups-useflag and report back.

I'm suspicious about this useflag anyway. It might be broken - but neither did I have the time to check this nor did anyone complain.

I'm very interested whether this is the case here and whether the ebuild (without this flag) works fine with latest cups.
Back to top
View user's profile Send private message
dexxxter
n00b
n00b


Joined: 19 Jul 2006
Posts: 18

PostPosted: Sun Oct 22, 2006 6:21 pm    Post subject: Reply with quote

MAN! YOU MADE MY DAY! I LOVE YOU!!!

everything works with USE="-ustablecups"

many thanks
Back to top
View user's profile Send private message
Devrethman
Tux's lil' helper
Tux's lil' helper


Joined: 29 Jan 2005
Posts: 141
Location: Phoenix, AZ

PostPosted: Sun Oct 22, 2006 9:16 pm    Post subject: Reply with quote

I have a canon IP3000 in amd64 and it prints fine.
Problem is that the print heads are incredibly dirty and messed up, as I haven't used it in forever, so is it possible to use something to clean them besides the package with bjtools?
If not, what would I have to do in order to make the BJtools thing work with AMD64?
_________________
Signature is out for lunch. Feel free to talk to its empty desk.
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Sun Oct 22, 2006 9:52 pm    Post subject: Reply with quote

Take a look at this ToDo. You essentially need 32bit versions of libglade and libxml. In order to get those, take a look at those original ebuilds and copy & paste it into my bjdeps package, which exports "ABI=x86". You'll need to fix the directory structure (something like lib->lib32 and so on), because you don't want to overwrite your 64bit versions! After that it should work, but it probably won't. So the next step would be Troubleshooting 8)

If you run into any trouble - feel free to ask me. I'll keep my fingers crossed.
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Thu Oct 26, 2006 5:22 pm    Post subject: Reply with quote

I've taken a look at the "unstablecups" useflag and removed it. The ebuilds (bjfilter as well as cnijfilter) now perform an automatic detection of the installed cups-version instead. In result, this revision should work out-of-the-box with every cups version available in portage.
Back to top
View user's profile Send private message
Shan
Guru
Guru


Joined: 04 Nov 2003
Posts: 556
Location: /dev/null

PostPosted: Fri Oct 27, 2006 12:01 am    Post subject: Reply with quote

Hrm, while this is good in the long run it fubars my pre-compiled packages until I get a chance to build a binary for cups as well, and I'm not sure how many (if any) new bugs will be introduced as a result. I'm currently going through Mid-Terms for college; and I'm going out of town for a few days on top of that so it might be a little while until I get around to that. Hopefully at the same time I'll be able to tuck in and see if I can't adapt the emul-linux-x86-* ebuilds to get servicetools working for us AMD64 folks as well.
_________________
2b || !2b
{ STFF } { GOOGLE } { RTFM } { NO -U } { STRIP }
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Fri Oct 27, 2006 7:27 am    Post subject: Reply with quote

Sorry - I didn't think about those binary packages. I'll create a "special editiion" with a "force_stablecups" and "force_unstablecups" useflag or something similar like "override_cupsdetection" - so you won't need to package cups too.

But we don't need to rush with things as it already works quite well with most configurations.

Anyway, thanks for your ambition to help! :wink:
Back to top
View user's profile Send private message
davidc
n00b
n00b


Joined: 30 Nov 2003
Posts: 60

PostPosted: Sun Oct 29, 2006 9:09 pm    Post subject: Mp800 Reply with quote

No luck with a Canon Pixma MP800R, though I only tried the pixusip4100 driver (as it supports 770. 780. 790 etc). It does print but the top half of the CUPS test page is duplicated vertically, the bottom half is not shown. Also the colours on the colour wheel are out of alignment.

Perhaps I'll try some of the other drivers later, but wasting ink at the moment seems like a bad idea :)
Back to top
View user's profile Send private message
ColinK
Tux's lil' helper
Tux's lil' helper


Joined: 30 Dec 2005
Posts: 142

PostPosted: Sun Oct 29, 2006 9:55 pm    Post subject: Reply with quote

Just because 790 is close to 800 doesn't mean, that they are compatible. But I suppose it's worth the ink to test a few "free" drivers - because the alternative costs 30-40 bucks (currency-dependent).
Back to top
View user's profile Send private message
zxy
Veteran
Veteran


Joined: 06 Jan 2006
Posts: 1160
Location: in bed in front of the computer

PostPosted: Tue Oct 31, 2006 11:18 am    Post subject: Reply with quote

I just tried to emerge bjfilter-2.50-r3 on amd64 with gcc 4.1.1

I have cups installted, but compilation finishes with this.
Code:
make[1]: Leaving directory `/var/tmp/portage/net-print/bjfilter-2.50-r3/work/bjfilter-2.50/pixusip3100/bjfilter/include'
make[1]: Entering directory `/var/tmp/portage/net-print/bjfilter-2.50-r3/work/bjfilter-2.50/pixusip3100/bjfilter'
make[2]: Entering directory `/var/tmp/portage/net-print/bjfilter-2.50-r3/work/bjfilter-2.50/pixusip3100/bjfilter'
make[2]: Nothing to be done for `install-exec-am'.
make[2]: Nothing to be done for `install-data-am'.
make[2]: Leaving directory `/var/tmp/portage/net-print/bjfilter-2.50-r3/work/bjfilter-2.50/pixusip3100/bjfilter'
make[1]: Leaving directory `/var/tmp/portage/net-print/bjfilter-2.50-r3/work/bjfilter-2.50/pixusip3100/bjfilter'
mv: cannot stat `/var/tmp/portage/net-print/bjfilter-2.50-r3/image//usr/lib32/cups': No such file or directory

!!! ERROR: net-print/bjfilter-2.50-r3 failed.
Call stack:
  ebuild.sh, line 1568:   Called dyn_install
  ebuild.sh, line 1022:   Called src_install
  bjfilter-2.50-r3.ebuild, line 224:   Called die

!!! (no error message)
!!! If you need support, post the topmost build error, and the call stack if relevant.

!!! This ebuild is from an overlay: '/usr/local/portage'


My version of cups is
Code:
[ebuild   R   ] net-print/cups-1.2.5  USE="X dbus jpeg nls pam png ppds ssl tiff -php -samba -slp"


What to do?
Zx
_________________
Nature does not hurry, yet everything is accomplished.
Lao Tzu
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Goto page Previous  1, 2, 3 ... 7, 8, 9 ... 16, 17, 18  Next
Page 8 of 18

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum